aboutsummaryrefslogtreecommitdiffhomepage
path: root/projects/libyal
diff options
context:
space:
mode:
authorGravatar Joachim Metz <joachim.metz@gmail.com>2020-08-03 19:50:00 +0200
committerGravatar GitHub <noreply@github.com>2020-08-03 10:50:00 -0700
commit95d739322a2ca1ebf468ada78d4e4dcff0594fc6 (patch)
tree14f7f493a7139f5bf336a987c7e0e3c637bb7c0e /projects/libyal
parent723ac5035b959202d807b214600d496c54974ff5 (diff)
[libyal] Added libfsntfs to libyal project configuration (#4248)
Diffstat (limited to 'projects/libyal')
-rw-r--r--projects/libyal/Dockerfile1
-rwxr-xr-xprojects/libyal/build.sh12
2 files changed, 11 insertions, 2 deletions
diff --git a/projects/libyal/Dockerfile b/projects/libyal/Dockerfile
index 1427b8ce..99c9889e 100644
--- a/projects/libyal/Dockerfile
+++ b/projects/libyal/Dockerfile
@@ -33,6 +33,7 @@ RUN git clone --depth 1 https://github.com/libyal/libregf.git libregf
RUN git clone --depth 1 https://github.com/libyal/libscca.git libscca
RUN git clone --depth 1 https://github.com/libyal/libfsapfs.git libfsapfs
+RUN git clone --depth 1 https://github.com/libyal/libfsntfs.git libfsntfs
RUN git clone --depth 1 https://github.com/libyal/libbde.git libbde
diff --git a/projects/libyal/build.sh b/projects/libyal/build.sh
index 0e288d46..c61ee51b 100755
--- a/projects/libyal/build.sh
+++ b/projects/libyal/build.sh
@@ -49,11 +49,19 @@ do
cp ossfuzz/${FUZZ_TARGET} ${OUT}/${PROJECT}_${FUZZ_TARGET}
# Download the test data if supported.
- if test -d tests/input/public;
+ LIBYAL_TYPE_NAME=${FUZZ_TARGET/_fuzzer/};
+
+ if test -f tests/data/${LIBYAL_TYPE_NAME/}.1;
+ then
+ (cd tests/data && zip ${OUT}/${PROJECT}_${FUZZ_TARGET}_seed_corpus.zip ${LIBYAL_TYPE_NAME}.*)
+
+ elif test -d tests/input/public;
then
(cd tests/input/public && zip ${OUT}/${PROJECT}_${FUZZ_TARGET}_seed_corpus.zip *)
+
else
- (cd tests/data && zip ${OUT}/${PROJECT}_${FUZZ_TARGET}_seed_corpus.zip ${FUZZ_TARGET/_fuzzer/}.*)
+ echo "Missing test data for seed corpus."
+ exit 1
fi
done
done